TokyoTyrant::getIterator
TokyoTyrant::out
TokyoTyrant
PHP Manual

# TokyoTyrant::num

Number of records in the database

### Description

public int TokyoTyrant::num ( void )

Returns the number of records in the database

### Parameters

This function has no parameters.

### Return Values

Returns number of records in the database

### Examples

Example #1 TokyoTyrant::num example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Echo the number of records */
echo $tt->num();
?>`

The above example will output something similar to:

    1234

### See Also

- TokyoTyrant::stat